package net.wicp.tams.duckula.ops.pages.setting;

import java.util.Date;

import org.apache.tapestry5.ioc.annotations.Inject;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import net.wicp.tams.app.duckula.controller.bean.models.RtdwFlinkbaseimage;
import net.wicp.tams.app.duckula.controller.dao.RtdwFlinkbaseimageMapper;
import net.wicp.tams.duckula.ops.pages.ParentPageBean;

public class FlinkBaseImage extends ParentPageBean<RtdwFlinkbaseimage> {
	@Inject
	private RtdwFlinkbaseimageMapper rtdwFlinkbaseimageMapper;

	@Override
	public void doSave(RtdwFlinkbaseimage t, boolean isInsert) {
		if (isInsert) {
			t.setDeployDate(new Date());
			this.rtdwFlinkbaseimageMapper.insert(t);
		} else {
			this.rtdwFlinkbaseimageMapper.updateByPrimaryKeySelective(t);
		}
	}

	@Override
	public void doDel(String id) {
		rtdwFlinkbaseimageMapper.deleteByPrimaryKey(Long.parseLong(id));
	}

	@Override
	public BaseMapper<RtdwFlinkbaseimage> getBaseMapper() {
		return this.rtdwFlinkbaseimageMapper;
	}

	@Override
	public void packageQuery(RtdwFlinkbaseimage t, QueryWrapper<RtdwFlinkbaseimage> queryWrapper) {

	}

}
